package com.jobs.domain;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Arrays;

@Component
//使用 prefix 指定对应的 yml 配置项
//这里将 prefix 配置为 employee ，所以实体类读取的是 employee 级别下的相应数据
//如果没有配置 prefix 的话，那么读取的是读取的就是最顶层级的 name，age 和 hobby
@ConfigurationProperties(prefix = "employee")
public class Employee {

    //姓名
    private String name;
    //年龄
    private int age;
    //爱好
    private String[] hobby;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String[] getHobby() {
        return hobby;
    }

    public void setHobby(String[] hobby) {
        this.hobby = hobby;
    }

    @Override
    public String toString() {
        return "Employee{" +
                "name='" + name + '\'' +
                ", age=" + age +
                ", hobby=" + Arrays.toString(hobby) +
                '}';
    }
}
